package com.ycwl.basic.mapper;

import com.ycwl.basic.model.aio.entity.AioDeviceBannerEntity;
import com.ycwl.basic.model.aio.entity.AioDeviceEntity;
import com.ycwl.basic.model.aio.entity.AioDevicePriceConfigEntity;

import java.util.List;

public interface AioDeviceMapper {
    AioDeviceEntity getById(Long id);
    AioDeviceEntity getByKey(String key);
    List<AioDeviceBannerEntity> getBannerByDeviceId(Long deviceId);
    AioDevicePriceConfigEntity getPriceConfigByDeviceId(Long deviceId);
}
